## org.eclipse.datatools.modelbase.sql.datatypes.impl
Class MultisetDataTypeImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.datatypes.impl.DataTypeImpl
                  org.eclipse.datatools.modelbase.sql.datatypes.impl.SQLDataTypeImpl
                      org.eclipse.datatools.modelbase.sql.datatypes.impl.ConstructedDataTypeImpl
                          org.eclipse.datatools.modelbase.sql.datatypes.impl.CollectionDataTypeImpl
                              org.eclipse.datatools.modelbase.sql.datatypes.impl.MultisetDataTypeImpl

All Implemented Interfaces:
  CollectionDataType, ConstructedDataType, DataType, MultisetDataType, SQLDataType, SQLObject

public abstract class MultisetDataTypeImpl
extends CollectionDataTypeImpl
implements MultisetDataType

An implementation of the model object 'Multiset Data Type'.

See Also:
  Serialized Form

Methods inherited from class org.eclipse.datatools.modelbase.sql.datatypes.impl.CollectionDataTypeImpl
`eGet, eIsSet, eSet, eUnset, getElement`

Methods inherited from class org.eclipse.datatools.modelbase.sql.datatypes.impl.DataTypeImpl
`setContainer`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl

`addEAnnotation, addEAnnotationDetail, createDataObject, createDataObject, createDataObject, createDataObject, createDataObject, delete, eInverseAdd, eInverseRemove, get, get, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getChar, getChar, getComments, getContainer, getContainmentProperty, getDataGraph, getDataObject, getDataObject, getDate, getDate, getDependencies, getDescription, getDouble, getDouble, getEAnnotation, getEAnnotationDetail, getFloat, getFloat, getInstanceProperties, getInt, getInt, getLabel, getList, getList, getLong, getLong, getSequence, getSequence, getShort, getShort, getString, getString, getType, isSet, isSet, removeEAnnotationDetail, set, set, setAnnotationDetail, setBigDecimal, setBigDecimal, setBigInteger, setBigInteger, setBoolean, setBoolean, setByte, setByte, setBytes, setBytes, setChar, setChar, setDataObject, setDataObject, setDate, setDate, setDescription, setDouble, setDouble, setFloat, setFloat, setInt, setInt, setLabel, setList, setList, setLong, setLong, setShort, setShort, setString, setString, toString, unset, unset, writeReplace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.CollectionDataType
`getElement`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.DataType
`setContainer`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.